mdchuyen Posted January 13, 2023 Posted January 13, 2023 Drawing1.dwg Hello friends I have a drawing where the dimension values are currently being reversed. Do you guys have any solution to handle my attached drawing. Hope the helping Quote
mhupp Posted January 13, 2023 Posted January 13, 2023 @SLW210 This isn't really a lisp issue its more of a interface one. They were made when facing the wrong way (Bottom view I think). So their 210 looks like (210 0.0 0.0 -1.0) This will mirror them around but the right way but also wont 100% fix the issue. because some will have to be adjusted. ;;----------------------------------------------------------------------------;; ;; Flips Backwards ploylines (defun C:SWAP (/ SS) (if (setq SS (ssget "_X" '((210 0.0 0.0 -1.0)))) (progn (vl-cmdf "_.Mirror3d" SS "" "xy" "0,0,0" "y") (prompt (strcat "\nEntities Swapped: " (itoa (sslength SS)))) ) (prompt "\nNothing to Swap!") ) (princ) ) 1 Quote
mdchuyen Posted January 13, 2023 Author Posted January 13, 2023 5 minutes ago, mhupp said: @SLW210 This isn't really a lisp issue its more of a interface one. They were made when facing the wrong way (Bottom view I think). So their 210 looks like (210 0.0 0.0 -1.0) This will mirror them around but the right way but also wont 100% fix the issue. because some will have to be adjusted. ;;----------------------------------------------------------------------------;; ;; Flips Backwards ploylines (defun C:SWAP (/ SS) (if (setq SS (ssget "_X" '((210 0.0 0.0 -1.0)))) (progn (vl-cmdf "_.Mirror3d" SS "" "xy" "0,0,0" "y") (prompt (strcat "\nEntities Swapped: " (itoa (sslength SS)))) ) (prompt "\nNothing to Swap!") ) (princ) ) thank you very much. It helps me a lot 1 Quote
mdchuyen Posted January 13, 2023 Author Posted January 13, 2023 4 hours ago, mhupp said: @SLW210 This isn't really a lisp issue its more of a interface one. They were made when facing the wrong way (Bottom view I think). So their 210 looks like (210 0.0 0.0 -1.0) This will mirror them around but the right way but also wont 100% fix the issue. because some will have to be adjusted. ;;----------------------------------------------------------------------------;; ;; Flips Backwards ploylines (defun C:SWAP (/ SS) (if (setq SS (ssget "_X" '((210 0.0 0.0 -1.0)))) (progn (vl-cmdf "_.Mirror3d" SS "" "xy" "0,0,0" "y") (prompt (strcat "\nEntities Swapped: " (itoa (sslength SS)))) ) (prompt "\nNothing to Swap!") ) (princ) ) This is what it is, isn't it? 1 Quote
mhupp Posted January 13, 2023 Posted January 13, 2023 Yes, whomever was in that view when the dimension where made or they got flipped somehow. making them upside down when viewed from top Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.